- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.conversations/upload#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.conversations/upload#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.conversations/upload#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.conversations/upload#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.conversations/upload#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.conversations/upload#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.conversations/upload#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.conversations/upload#try-it)

Create a long-running conversation upload operation. This method differs from `conversations.create` by allowing audio transcription and optional DLP redaction.

### HTTP request

`POST https://{endpoint}/v1/{parent=projects/*/locations/*}/conversations:upload`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the conversation. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "conversation": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations#Conversation`) }, "conversationId": string, "redactionConfig": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/RedactionConfig`) }, "speechConfig": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/SpeechConfig`) } } ``` |

| Fields ||
|---|---|
| `conversation` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations#Conversation`)`` Required. The conversation resource to create. |
| `conversationId` | `string` Optional. A unique ID for the new conversation. This ID will become the final component of the conversation's resource name. If no ID is specified, a server-generated ID will be used. This value should be 4-64 characters and must match the regular expression `^[a-z0-9-]{4,64}$`. Valid characters are `[a-z][0-9]-` |
| `redactionConfig` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/RedactionConfig`)`` Optional. DLP settings for transcript redaction. Will default to the config specified in Settings. |
| `speechConfig` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/SpeechConfig`)`` Optional. Speech-to-Text configuration. Will default to the config specified in Settings. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `contactcenterinsights.authorizedConversations.upload`
- `contactcenterinsights.datasetConversations.upload`
- `contactcenterinsights.conversations.upload`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).